<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<egTracker.FormViewModels.UsersFormViewModel>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
  <%=Resources.egTracker.Users %>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
  <h2>
    <%=Resources.egTracker.Users %>
  </h2>
    
  
  <% using (Html.BeginForm("Index", "Users", FormMethod.Post, new { name="Users" }))
     { %>
  
  <p>
        <%= Html.ActionLink("Create new user", "Create")%>
  </p>
      
	<div class="Search">

	<fieldset>

  <legend><%=Resources.egTracker.Search %></legend>  	

	<div class="Section">
    
		<div class="Item">      
      <div class="Label"><label for="Status"><%=Resources.egTracker.Status %>:&nbsp;</label></div>
			<div class="Field">
				<div class="jsMenu">
					<a href="javascript:ListBox_SelectAll('Status', true);">All</a>&nbsp;<a href="javascript:ListBox_SelectAll('Status', false);">None</a>
				</div>
				<div>
				<%= Html.ListBox("Status", Model.StatusListBox, new { style = "height:auto;" })%>
				</div>
			</div>
    </div>

		<div class="Item">      
      <div class="Label"><label for="Company"><%=Resources.egTracker.Company %>:&nbsp;</label></div>
			<div class="Field">
				<div class="jsMenu">
					<a href="javascript:ListBox_SelectAll('Company', true);">All</a>&nbsp;<a href="javascript:ListBox_SelectAll('Company', false);">None</a>
				</div>
				<div>
				<%= Html.ListBox("Company", Model.CompanyListBox, new { style = "height:auto;" })%>
				</div>
			</div>
    </div>

	</div>

	<div class="Section" style="padding-top:10px;">      		
		<div class="Item"> 
			<input type="submit" name="Search" value="<%=Resources.egTracker.Search %>" />  
		</div>		
  </div>

	<div style="clear:both;"></div>	

	</fieldset>
	
	</div>
	
	<% if (Model.Users.Count > 0) { %>		 

  <p>    
    <input type="submit" name="ResetAndSendNewPassword" onclick="javascript:return ConfirmResetAndSendNewPassword();" value="Reset password and email new password for selected users" />    

    <script type="text/javascript">

      function CountSelectedItems() {
        var selectedArray = document.Users.Selected;        
        var checkedCounter = new Number();
        checkedCounter = 0;
        for (var i = 0; i < selectedArray.length; i++) {
          if (selectedArray[i].checked)
            checkedCounter++;
        }
        return checkedCounter;
      }

      function ConfirmResetAndSendNewPassword() {
        var checkedCounter = CountSelectedItems();
        if (checkedCounter > 0) {
          return confirm('Are you sure you want to reset password for ' + checkedCounter.toString() + ' accounts?');
        }
        else {
          alert("Accounts aren't selected");
          return false;
        }
      }

      function SelectAll() {
        var selectedArray = document.Users.Selected;        
        for (var i = 0; i < selectedArray.length; i++) {
          selectedArray[i].checked = true;            
        }
      }

      function SelectNone() {
        var selectedArray = document.Users.Selected;
        for (var i = 0; i < selectedArray.length; i++) {
          selectedArray[i].checked = false;
        }
      }

    </script>

  </p>

  <table>
    <tr>
      <th>
      <a href="javascript:SelectAll();"><%=Resources.egTracker.All %></a>/<a href="javascript:SelectNone();"><%=Resources.egTracker.None %></a>
      </th>      
      <th>
        <%=Resources.egTracker.User%>
      </th>
      <th>
        <%=Resources.egTracker.Status%>
      </th>
      <th>
        <%=Resources.egTracker.Roles%>
      </th>
      <th>
        <%=Resources.egTracker.CreatedOn%>
      </th>
      <th>
        <%=Resources.egTracker.LastActivityDate%>
      </th>
    </tr>
    <% foreach (egTracker.Data.Users.Repository.UsersIndex user in Model.Users)
       { %>
    <tr>
      <td>        
        <%=Html.CheckBox("Selected", new { value = user.Id })%>        
        <%= Html.ActionLink(Resources.egTracker.Edit, "Edit", new { id = user.Id })%>        
        <% if (user.IsLockedOut)
           { %>
           <%= Html.ActionLink(Resources.egTracker.Unlock, "Unlock", new { UserName = user.Username }, new { onclick = string.Format("javascript:return confirm('Are you sure you want to unlock account {0}?');", user.Username) })%>        
        <% } %>
        <% if (user.IsApproved)
           { %>
           <%= Html.ActionLink(Resources.egTracker.Disable, "Disable", new { UserName = user.Username })%>        
        <% }
           else
           { %>
           <%= Html.ActionLink(Resources.egTracker.Enable, "Enable", new { UserName = user.Username })%>        
        <% } %>
        <%= Html.ActionLink(Resources.egTracker.Impersonate, "Impersonate", new { UserName = user.Username })%>                
      </td>     
      <td>
        <%= Html.ActionLink(Html.Encode(user.Username), "Edit", new { id = user.Id })%>
      </td>        
      <td>
        <%=user.Status %>         
      </td>
      <td>      
        <%= Html.Encode(user.Roles)%>
      </td>
      <td>
        <%= Html.Encode(String.Format("{0:g}", user.CreateDate))%>
      </td>
      <td>
        <%= Html.Encode(user.LastLoginDate)%>
      </td>
    </tr>
    <% } %>
  </table>

	<% } %>

  <% } %>

</asp:Content>
