﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<egTracker.Models.Schedule.Index>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	<%=Model.ScheduleLabel %>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

<h2><%=Model.ScheduleLabel %></h2>


<script language="javascript" type="text/javascript" >
				
	$(document).ready(function () {		
		EventsDetails();
	});

	function SetSelectedDate(date)
	{
		var SelectedDate = document.getElementById("SelectedDate");		
		SelectedDate.value = date;
	}
	
	
	function SubmitForm()
	{
		var PostBackDetails = document.getElementById("PostBackDetails");		
		PostBackDetails.form.submit();
	}	
	
	/*
	function onAssignedToChange() {		
		SubmitForm();
	}

	function onProjectChange() {
		SubmitForm();
	}*/

		$(function () {
			$("#datepicker").datepicker({
				changeMonth: true,
				changeYear: true,
				showButtonPanel: true,
				showOn: "button",
				buttonImage: "<%=ResolveUrl("~/jquery-ui/themes/base/images/calendar.gif") %>",
				buttonImageOnly: true,
				dateFormat: 'yy-mm-dd'
			});
		});
		
		function datepicker_change()
		{			
			var DatePicker = document.getElementById("datepicker");						
			SetSelectedDate(DatePicker.value);		
			DatePicker.form.submit();
		}

		function EventsDetails()
		{			
			var project = $('#EventDetailsProject').attr('checked');			
			var title = $('#EventDetailsTitle').attr('checked');			
			var users = $('#EventDetailsUsers').attr('checked');	
			var notes = $('#EventDetailsNotes').attr('checked');	

			//project
			if (project)				
				$(".Event .Project").css("display","");
			else
				$(".Event .Project").css("display","none");
				
			//title
			if (title)				
				$(".Event .Title").css("display","");
			else
				$(".Event .Title").css("display","none");

			//users
			if (users)
				$(".Event .Users").css("display","");
			else
				$(".Event .Users").css("display","none");

			//notes
			if (notes)
				$(".Event .Notes").css("display","");
			else
				$(".Event .Notes").css("display","none");

			//dash 1 (project - title)
			if (!project || !title)
				$(".Event .Dash1").css("display","none");
			else
				$(".Event .Dash1").css("display","");

			//dash 2 (title - users)
			if (!(project || title) || !users)
				$(".Event .Dash2").css("display","none");
			else
				$(".Event .Dash2").css("display","");

			//dash 3 (users - notes)
			if (!(project || title || users) || !notes)
				$(".Event .Dash3").css("display","none");
			else
				$(".Event .Dash3").css("display","");

			//event
			if (!project && !title && !users && !notes)
				$(".Event").css("display","none");
			else
				$(".Event").css("display","");
		}		

</script>

<% if (Model.CreateEventVisible) { %>
<a href="<%=ResolveUrl( Model.CreateEventUrl) %>"><%=Model.CreateEventLabel%></a> 
&nbsp;
<% } %>
<%=Html.ActionLink(Resources.egTracker.Export, "Export") %>

<% using (Html.BeginForm()) {%>

<div style="margin-bottom:5px;">
<%=Html.ActionLink("Day", "Day")%>
&nbsp;
<%=Html.ActionLink("Week", "Week")%>
&nbsp;
<%=Html.ActionLink("Month", "Month")%>
</div>

<div>
	<div style="float:left; clear:left; margin-right:20px; margin-bottom:5px;">
		<%=Model.ProjectLabel %>: <%=Html.DropDownList("ProjectId", Model.Project_List, new {  })%>
	</div>	
	<div style="float:left; margin-right:20px; margin-bottom:5px;">
		<%=Model.AssignedToLabel %>: <%=Html.DropDownList("AssignedToUserId", Model.AssignedTo_List, new { })%>
	</div>	
	<div style="float:left;">
		<input type="submit" value="<%=Resources.egTracker.Refresh %>" />
	</div>

	<div style="float:left; margin-bottom:5px; clear:left;">
		Event Details: 
		<input type="checkbox" id="EventDetailsProject" name="EventDetailsProject" onchange="javascript:EventsDetails();" value="Project" checked="checked" />Project
		<input type="checkbox" id="EventDetailsTitle" name="EventDetailsTitle" onchange="javascript:EventsDetails();" value="Title" checked="checked" />Title
		<input type="checkbox" id="EventDetailsUsers" name="EventDetailsUsers" onchange="javascript:EventsDetails();" value="Users" />Users
		<input type="checkbox" id="EventDetailsNotes" name="EventDetailsNotes" onchange="javascript:EventsDetails();" value="Users" />Notes
	</div>
</div>


<% Html.RenderPartial(Model.View_String); %>

<%=Model.HtmlPopUps %>
<%=Html.Hidden("PostBackDetails")%>
<%=Html.Hidden("SelectedDate", Model.SelectedDate)%>
<%=Html.Hidden("View_String", Model.View_String)%>
<% } %>

</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
