<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl" %>

<% egTracker.Models.Website.Settings s = (egTracker.Models.Website.Settings)ViewData["WebsiteSettings"]; %>

<%
  if (!(bool)ViewData["UserAuthenticated"])
  {
%>     
<li><%= Html.ActionLink(Resources.egTracker.Home, "Index", Resources.egTracker.HomeRoute, null, new { id = (Request.Url.AbsolutePath.Contains(Resources.egTracker.HomeRoute) || Request.Url.AbsolutePath == "/") ? "current" : "" })%></li>

<% if (s.HomeProductsVisible) { %>
<li><%= Html.ActionLink(Resources.egTracker.Products, "Index", Resources.egTracker.Products, null, new { id = Request.Url.AbsolutePath.Contains(Resources.egTracker.Products) ? "current" : "" })%></li>
<% } %>

<% if (s.HomeFeaturesVisible) { %>
<li><%= Html.ActionLink(Resources.egTracker.Features, "Index", Resources.egTracker.Features, null, new { id = Request.Url.AbsolutePath.Contains(Resources.egTracker.Features) ? "current" : "" })%></li>
<% } %>

<% } %>
<%  
  if ((bool)ViewData["UserAuthenticated"]) 
  {            
%>  
  <li><%= Html.ActionLink(Resources.egTracker.Tickets, "Index", "Tickets")%></li>          
  <li><%= Html.ActionLink(Resources.egTracker.Search, "Index", "Search")%></li>                                    
	<% if ((bool)ViewData["SchedulesEnabled"])
     { %>
  <li><%= Html.ActionLink(Resources.egTracker.Schedule, "Index", "Schedule")%></li>
  <% } %>	
  <% if ((bool)ViewData["LibraryEnabled"])
     { %>
  <li><%= Html.ActionLink(Resources.egTracker.Library, "Index", "Library")%></li>
  <% } %>
  <%
    //free google maps requires http 
    if ((bool)ViewData["MapsEnabled"])
     { %>
     <li><%= Html.ActionLink(Resources.egTracker.Maps, "Index", "Maps")%></li>  
  <% } %>
  <% if ((bool)ViewData["ReportsEnabled"]) { %>
  <li><%= Html.ActionLink(Resources.egTracker.Reports, "Index", "ReportsStandard")%></li>
  <%} %>
  <li><%= Html.ActionLink(Resources.egTracker.Settings, "Index", "Settings")%></li>
<%
  }
  if ((bool)ViewData["IsAdministrator"] || (bool)ViewData["IsWebsiteAdmin"])
  {                                 
%>                    
  <li><%= Html.ActionLink(Resources.egTracker.Companies, "Index", "Companies")%></li>              
  <li><%= Html.ActionLink(Resources.egTracker.Projects, "Index", "Projects")%></li>              
  <li><%= Html.ActionLink(Resources.egTracker.Users, "Index", "Users")%></li>              
  
  <li><%= Html.ActionLink(Resources.egTracker.Admin, "Index", "Admin")%></li>              
<% }
  if ((bool)ViewData["IsWebsiteAdmin"])
  {
%>
  <li><%= Html.ActionLink(Resources.egTracker.WebAdmin, "Index", "WebAdmin")%></li>        
<% } %>
<% if (Request.IsAuthenticated) { %>
<% =s.MasterTopMenuCustomAuthenticated %>
<%} %>

<%
  if (!(bool)ViewData["UserAuthenticated"])
  {
%>

<% if (s.HomeTemplatesVisible) { %> 
<li><%= Html.ActionLink(Resources.egTracker.Templates, "Index", Resources.egTracker.Templates, null, new { id = Request.Url.AbsolutePath.Contains(Resources.egTracker.Templates) ? "current" : "" })%></li>
<%} %>


<% if (s.HomeContactUsStandardVisible) { %>
<li><%= Html.ActionLink(Resources.egTracker.ContactUs, "Index", Resources.egTracker.ContactUsRoute, null, new { id = Request.Url.AbsolutePath.Contains(Resources.egTracker.ContactUsRoute) ? "current" : "" })%></li>         
<%} %>

<% =s.MasterTopMenuCustomAnonymous %>

<% } %>

